aboutsummaryrefslogtreecommitdiffstats
path: root/jjb/common
diff options
context:
space:
mode:
authorKevin Hilman <khilman@baylibre.com>2017-05-23 18:35:15 +0000
committerKevin Hilman <khilman@baylibre.com>2017-05-23 19:48:55 +0000
commit0d037623063fac86eede997073e7f7badfac0597 (patch)
tree1ebce207cbc640de8fe4e6b1673733b6182a30d3 /jjb/common
parent664d85a962753a17f1db666f7e78a36f5a4ddae9 (diff)
ci-platform: use updated LAVA auth
LAVA authentiticaion setup is now done in a dedicated script (include-agl-lava-labs-prepare.sh), remove it from run-test-short.sh as it's no longer needed. While at it, rename porter.automotivelinux.org to its new name: lava.automotivelinux.org Change-Id: Ifd7b701c9d76abdeb02f3d242f0b32c26d448749 Signed-off-by: Kevin Hilman <khilman@baylibre.com>
Diffstat (limited to 'jjb/common')
-rw-r--r--jjb/common/include-agl-lava-labs-prepare.sh2
-rw-r--r--jjb/common/include-agl-run-test-short.sh22
2 files changed, 5 insertions, 19 deletions
diff --git a/jjb/common/include-agl-lava-labs-prepare.sh b/jjb/common/include-agl-lava-labs-prepare.sh
index 876127c6..c7ca9f1a 100644
--- a/jjb/common/include-agl-lava-labs-prepare.sh
+++ b/jjb/common/include-agl-lava-labs-prepare.sh
@@ -8,7 +8,7 @@
#
declare -A labs
labs=(
- [agl]="https://porter.automotivelinux.org/;$LAB_AGL_USER;$LAB_AGL_TOKEN"
+ [agl]="https://lava.automotivelinux.org/;$LAB_AGL_USER;$LAB_AGL_TOKEN"
[baylibre]="http://lava.baylibre.com:10080/;$LAB_BAYLIBRE_USER;$LAB_BAYLIBRE_TOKEN"
[baylibre_seattle]="http://lava.ished.com/;$LAB_BAYLIBRE_SEATTLE_USER;$LAB_BAYLIBRE_SEATTLE_TOKEN"
)
diff --git a/jjb/common/include-agl-run-test-short.sh b/jjb/common/include-agl-run-test-short.sh
index 162df146..6897fde5 100644
--- a/jjb/common/include-agl-run-test-short.sh
+++ b/jjb/common/include-agl-run-test-short.sh
@@ -11,20 +11,6 @@ set -x
echo "## ${MACHINE} ##"
cd $REPODIR
-echo "default keyring config"
-mkdir -p ~/.local/share/python_keyring/
-cat <<EOF > ~/.local/share/python_keyring/keyringrc.cfg
-[backend]
-default-keyring=keyring.backends.file.PlaintextKeyring
-EOF
-
-cat <<EOF > ~/.local/token
-$AGLLAVATOKEN
-EOF
-
-lava-tool auth-add --token-file ~/.local/token https://agl-jenkins-user@porter.automotivelinux.org
-rm -rf ~/.local/token || true
-
echo "## $TESTJOBFILE ##"
if [ -e $TESTJOBFILE ] ; then
@@ -99,18 +85,18 @@ sed -i -e "s#@REPLACE_URL_PREFIX@#${DEVICE_URL_PREFIX}#g" testjob.yaml
cat testjob.yaml
-lava-tool submit-job --block https://agl-jenkins-user@porter.automotivelinux.org testjob.yaml | tee .myjob
+lava-tool submit-job --block https://agl-jenkins-user@lava.automotivelinux.org testjob.yaml | tee .myjob
MYJOB=`cat .myjob | grep "submitted as job" | sed -e "s#submitted as job id: ##g"`
echo "#### JOBID: $MYJOB #####"
-( lava-tool job-status https://agl-jenkins-user@porter.automotivelinux.org $MYJOB | tee .status ) || true
+( lava-tool job-status https://agl-jenkins-user@lava.automotivelinux.org $MYJOB | tee .status ) || true
STATUS=`grep "Job Status:" .status | sed -e "s#Job Status: ##g"`
if [ x"Complete" = x"$STATUS" ] ; then
echo "YAY! $STATUS"
- curl -o plain_output.yaml https://porter.automotivelinux.org/scheduler/job/$MYJOB/log_file/plain
+ curl -o plain_output.yaml https://lava.automotivelinux.org/scheduler/job/$MYJOB/log_file/plain
cat plain_output.yaml | grep '"target",' | sed -e 's#- {"dt".*"lvl".*"msg":."##g' -e 's#"}$##g'
# cleanup
@@ -119,7 +105,7 @@ if [ x"Complete" = x"$STATUS" ] ; then
exit 0
else
echo "Nooooooooo! $STATUS"
- curl -o plain_output.yaml https://porter.automotivelinux.org/scheduler/job/$MYJOB/log_file/plain
+ curl -o plain_output.yaml https://lava.automotivelinux.org/scheduler/job/$MYJOB/log_file/plain
cat plain_output.yaml | grep '"target",' | sed -e 's#- {"dt".*"lvl".*"msg":."##g' -e 's#"}$##g'
# cleanup